Subject: bug#10382: 24.0.92; gratuituous `file-supersession' error for `menu-bar-update-hook'

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Jan 2012 16:37:18 -0500

>> I think we'll need a backtrace at the time of the "really edit
>> the buffer?" prompt in order to debug this.  Tho, I suspect 
>> it won't be easy to get one since this is in the middle of 
>> menu-bar-update-hook, so redisplay might be inhibited.
> Right.  I don't know how to obtain that.

Under POSIX, you could "kill -USR2 <emacspid>".
But maybe instead of C-g you could do (blindly) M-x debug RET.  Not if
that would work, but it's worth a try.

> Perhaps it would be more helpful to take a look at recent changes to
> the code.  Perhaps the code which issues this "file supersession"
> prompt (I've never seen that before) or the revert code.  Dunno.

Too many possible sources, and none of the "recent" changes jumps to mind.

> And why I would be prompted at all when I use this no-confirmation command is
> another question.  (revert-buffer t t) should not be asking for confirmation.

The prompt is not from revert-buffer but from some low-level code
triggered by imenu code itself triggered by the menu-bar-update-hook.
revert-buffer is only involved indirectly (it probably happens to put
the buffer temporarily in a slightly different state that in turn
triggers the problem).

        Stefan